View Issue Details

IDProjectCategoryView StatusLast Update
0000530Infinitode 2[All Projects] Infinitode 2public2021-05-28 12:55
ReporterAnonymousAssigned Toadministrator  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMobileOSAndroidOS VersionAny
Product Version 
Target VersionFixed in Version1.8.0 
Summary0000530: Attack Speed - Higher Values Have Little Use
Description

A tower with an Attack Speed of 15 will fire at the same speed as a tower with an Attack Speed of 29 (once every 2 frames). A tower with an Attack Speed of 10 will fire at the same speed as a tower with an Attack Speed of 14 (once every 3 frames). And, of course, an Attack Speed above 30 is useless.

The core of the issue is that the Update event of Tower Objects, when checking whether the Tower's Attack Speed ticker has reached the value needed, always resets it to 0 after attacking. As such, there's a lot of ignored overflow attack speed until it's increased enough to hit the next cap - see the screenshot for more.

Steps To Reproduce

1) Put a Basic Tower on an Attack Speed V platform.
2) Surround it with Attack Speed mods.
3) Ensure that the conditions of the map allow it to have an attack speed of 0000029:0000014.
4) Place an AntiAir tower somewhere.
5) Summon the wave, stop the game speed (long-hold the game speed button)
6) Continuously cycle the AntiAir's targeting mode to advance the frames 1 by 1.
7) Count the amount of frames it takes to spawn a projectile - it's always 3.
8) Remove some Attack Speed mods, and get the Basic Tower's Attack Speed down to 0000007:0000010.
9) Continue to count the frames it takes to spawn a projectile - it will continue to always be 3.

Additional Information

The easiest fix for this would be to change the following block of code:

if (this.n > var1) {
    this.attack();
    this.n = 0.0F;
}

To be this, instead:

if (this.n > var1) {
    this.attack();
    this.n = this.n - var1;
}

Or something similar that allows it to fire 1 frame quicker every few frames.

TagsNo tags attached.
Attach Tags

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-02-21 04:19 Anonymous New Issue
2020-10-01 18:13 administrator Assigned To => administrator
2020-10-01 18:13 administrator Status new => acknowledged
2020-12-04 18:07 therainycat Status acknowledged => resolved
2020-12-04 18:07 therainycat Resolution open => fixed
2020-12-04 18:07 therainycat Fixed in Version => 1.8.0
2021-05-28 12:55 administrator Status resolved => closed